<?php

function get_protected($conn) {
	$assets = pg_query($conn, "SELECT id, unique_identifier, license_features, install_date from mgportal.devices");
	if ($assets !== false) {
		//printf("'Latest Data Date','Asset Tag','Feature String','Install Date', 'VM Count', 'Server Count', 'App Count', 'GB Used', 'VM Replicating', 'All Replicating'\n");
		printf("Latest Data Date,Asset Tag,Feature String,Install Date, VM Count, Server Count, App Count, GB Used, VM Replicating, All Replicating\n");
		while ($row = pg_fetch_row($assets)) {
			//printf("asset = %s\n", $row[1]);
			$device_id = $row[0];
			$asset = $row[1];
			$feature_string = $row[2];
			$install_date = $row[3];

			$query = sprintf("SELECT date, vm_count, server_count, app_count, gb_used, vm_replicated, all_replicated FROM mgportal.protected where device_id=%d ORDER BY date DESC LIMIT 1", $device_id);
			$protected = pg_query($conn, $query);
			if ($protected !== false) {
				while ($item = pg_fetch_row($protected)) {
					$timestamp = $item[0];
					$dateString = date('m/d/Y', $timestamp);
					printf("\"%s\",\"%s\",\"%s\",\"%s\",%d,%d,%d,%.2f,%d,%d\n",
						$dateString, $asset, $feature_string, $install_date,
						$item[1], $item[2], $item[3], $item[4],
						$item[5], $item[6]);
				}
			}
		}
	}
}


$conn = pg_connect("port=5432 dbname=mgportal user=postgres connect_timeout=30");
if ($conn !== false) {
	get_protected($conn);
	pg_close($conn);
} else {
	printf("Error connecting to database to generate report\n");
}

?>
